import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const billCreditCardPayment = await conductor.qbd.billCreditCardPayments.delete(
'123ABC-1234567890',
{ conductorEndUserId: 'end_usr_1234567abcdefg' },
);
console.log(billCreditCardPayment.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
bill_credit_card_payment = conductor.qbd.bill_credit_card_payments.delete(
id="123ABC-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(bill_credit_card_payment.id)curl --request DELETE \
--url https://api.conductor.is/v1/quickbooks-desktop/bill-credit-card-payments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"id": "123ABC-1234567890",
"objectType": "qbd_bill_credit_card_payment",
"refNumber": "CARD-1234",
"deleted": true
}Delete a bill credit card payment
Permanently deletes a bill credit card payment. The deletion will fail if the bill credit card payment is currently in use or has any linked transactions that are in use.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const billCreditCardPayment = await conductor.qbd.billCreditCardPayments.delete(
'123ABC-1234567890',
{ conductorEndUserId: 'end_usr_1234567abcdefg' },
);
console.log(billCreditCardPayment.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
bill_credit_card_payment = conductor.qbd.bill_credit_card_payments.delete(
id="123ABC-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(bill_credit_card_payment.id)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Path Parameters
The QuickBooks-assigned unique identifier of the bill credit card payment to delete.
36"123ABC-1234567890"
Response
Returns a confirmation of the deletion with the ID of the deleted bill credit card payment.
The QuickBooks-assigned unique identifier of the deleted bill credit card payment.
"123ABC-1234567890"
The type of object. This value is always "qbd_bill_credit_card_payment".
"qbd_bill_credit_card_payment""qbd_bill_credit_card_payment"
The case-sensitive user-defined reference number of the deleted bill credit card payment.
"CARD-1234"
Indicates whether the bill credit card payment was deleted.
true

